> For the complete documentation index, see [llms.txt](https://docs.kpnthings.com/kpn-things/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.kpnthings.com/kpn-things/building-blocks/devices/trackers/kpn-locationtag-ii-v3.md).

# KPN LocationTag II v3

![KPN LocationTag II v3](https://portal.kpnthings.com/assets/images/device-types/kpn-locationtag-ii-v3.png)

Also known as Streamline Security Tag with WiFi. Tag for localization with NFC, FSK and WiFi. Tag can use WiFi scanning for localization in missing mode.

* Supported network type(s): `KPNLORA`
* Device Specification ID: `kpn-locationtag-ii-v3`
* Device Specification UUID: `dbc8bf09-86d2-4cce-a716-b9ceffeb5933`

| Decoders                                                         | decoderSpecificationUUID               | Description                                                                              |
| ---------------------------------------------------------------- | -------------------------------------- | ---------------------------------------------------------------------------------------- |
| › Decoded payload for Asset Tracking with WiFi scan results (v2) | `f8dfcd77-3bbe-5e44-86c9-5b01707020a2` | Decodes fields from a Streamline LoRa payload for asset tracking with WiFi scan results. |

| Encoders                  | encoderSpecificationUUID               | Description          |
| ------------------------- | -------------------------------------- | -------------------- |
| ‹ Encoded device commands | `2f241044-8476-4c4c-a516-77c8dd709590` | Set the device mode. |

### › Decoded payload for Asset Tracking with WiFi scan results (v2)

Decodes fields from a Streamline LoRa payload for asset tracking with WiFi scan results.

{% hint style="info" %}
This decoder also decodes [Geolocation and Local Gateway](/kpn-things/getting-started/tutorials/technical-overview/location-data.md) data.
{% endhint %}

The following SenML records can be present, amongst others:

<table><thead><tr><th width="274">name</th><th width="114">type</th><th width="70">unit</th><th width="133">example</th><th>description</th></tr></thead><tbody><tr><td>batteryVoltage</td><td>number</td><td>V</td><td></td><td></td></tr><tr><td>dataType</td><td>string</td><td></td><td></td><td></td></tr><tr><td>mac:<code>&#x3C;some-mac-address></code>:wifiSignalStrength</td><td>number</td><td>dBW</td><td></td><td>Value of WiFi scan results</td></tr><tr><td>mode</td><td>string</td><td></td><td><code>"missing"</code></td><td>Can be <code>active</code>, <code>inactive</code> or <code>missing</code></td></tr><tr><td>timeOrigin</td><td>string</td><td></td><td><code>"NETWORK"</code></td><td>The source of time information for measurements</td></tr></tbody></table>

#### Example SenML

{% hint style="info" %}
SenML can be structured in different ways, and we do not guarantee the examples below will look the same as what you will receive on your Destination. To make sure you can handle the SenML optimally, take a look at our documentation about [Understanding and Interpreting SenML Data](/kpn-things/building-blocks/data-processing/thingsml-and-senml/senml/understanding-and-interpreting-senml-data.md).
{% endhint %}

```json
[
    {
        "bn": "urn:dev:DEVEUI:0123456789012345:",
        "bt": 1693136532.83,
        "n": "mode",
        "vs": "missing"
    },
    {
        "n": "batteryVoltage",
        "u": "V",
        "v": 2.81
    },
    {
        "n": "dataType",
        "vs": "wifiScan"
    },
    {
        "n": "mac:0876ff941c76:wifiSignalStrength",
        "u": "dBW",
        "v": -115
    },
    {
        "n": "mac:b4f26727b684:wifiSignalStrength",
        "u": "dBW",
        "v": -116
    },
    {
        "n": "mac:b6f21727b684:wifiSignalStrength",
        "u": "dBW",
        "v": -116
    },
    {
        "n": "mac:7297416de37f:wifiSignalStrength",
        "u": "dBW",
        "v": -104
    },
    {
        "n": "timeOrigin",
        "vs": "NETWORK"
    }
]
```

### ‹ Encoded device commands

* Protocol: LoRa downlink
* Description: Set the device mode.
* Multiple commands in one downlink: No

Input mapping:

* Name: `mode`
  * Value: `Presales` (translates into → `150098078051010080510115013F01001501FB018016`)
  * Value: `Active` (translates into → `15009807201C0000201C0015013F01001501FB014016`)
  * Value: `Missing` (translates into → `15009807F0000000F0000015013907000000000000001501FB01C1150402010115040E010015042C02050516`)
  * Value: `Inactive` (translates into → `14009808FFFFFFFFFFFFFFFF110000000001000000`)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.kpnthings.com/kpn-things/building-blocks/devices/trackers/kpn-locationtag-ii-v3.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
